(function ($, Drupal, drupalSettings) {
  Drupal.behaviors.cloudflareStream = {
    attach: function (context, settings) {
      let stream = $('stream');
      const muted = drupalSettings.cloudflare_stream.muted;
      const autoplay = drupalSettings.cloudflare_stream.autoplay;
      const width = drupalSettings.cloudflare_stream.width;
      const height = drupalSettings.cloudflare_stream.height;
      // Adding attributes to stream.
      stream.attr({'controls':"", 'preload':""});
      if (muted) {
        stream.attr(muted);
      }
      if (autoplay) {
        stream.attr(autoplay);
      }
      if (width) {
        stream.css('width', width + 'px');
      }
      if (height) {
        stream.css('height', height + 'px');
      }
      $('.video-js').removeClass('vjs-controls-disabled').addClass('vjs-controls-enabled');
    }
  };
})(jQuery, Drupal, drupalSettings);
